<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of certReissueForm
 *
 * @author INBS38
 */
class certReissueForm
{
    protected $input;
    protected $form;
    protected $fieldErorrs;
    
    function __construct($input, $form, $fieldErorrs) 
    { 
        $this->input = $input;
        $this->form  = $form;
        $this->fieldErorrs = $fieldErorrs;
        
    }
    
    function getForm()
    {
        $this->form->addField('Text', array(
            'name'     => 'order_token',
            'value'    => $this->input['cert_reissue_order_token'],
            'readonly' => true
        ));
        
        $this->form->addField('Text', array(
            'name'      => 'domain',
            'value'    => $this->input['cert_reissue_domain'],
            'readonly' => true
        ));
        
        $this->form->addField('Hidden', array(
            'name'      => 'serialNumber',
            'value'    => $this->input['cert_reissue_serialNumber'],
            'readonly' => true
        ));
        
        $this->form->addField('Legend', array(
            'name'      => 'org'
        ));
        
        $this->form->addField('Text', array(
            'name'     => 'org_name',
            'value'    => isset($this->input['cert_reissue_org_name'])?$this->input['cert_reissue_org_name']:null,
            'error'    => (!empty($this->fieldErorrs['cert_reissue_org_name'])),
            'require'  => true
        ));
      
        $this->form->addField('Text', array(
            'name'     => 'org_address_city',
            'value'    => isset($this->input['cert_reissue_org_address_city'])?$this->input['cert_reissue_org_address_city']:null,
            'error'    => (!empty($this->fieldErorrs['cert_reissue_org_address_city'])),
            'require'  => true
        ));
        
        $this->form->addField('Select', array(
            'name'     => 'org_address_country',
            'value'    => isset($this->input['cert_reissue_org_address_country'])?$this->input['cert_reissue_org_address_country']:null,
            'options'  => CertumSSLCertificate::getCountries(),
            'require'  => true
        ));
        
        $this->form->addField('Text', array(
            'name'     => 'org_address_region',
            'value'    => isset($this->input['cert_org_address_region'])?$this->input['cert_org_address_region']:null,
            'error'    => (!empty($this->fieldErorrs['cert_reissue_org_address_region'])),
            'require'  => true
        ));
        
        $this->form->addField('Text', array(
            'name'     => 'org_address_email',
            'value'    => isset($this->input['cert_org_address_email'])?$this->input['cert_org_address_email']:null,
            'error'    => (!empty($this->fieldErorrs['cert_reissue_org_address_email'])),
            'require'  => true
        ));
        
        $this->form->addField('Submit', array(
            'name'     => 'action',
            'value'    => 'submitCertReissue',
            'cancel'   => true
        ));
        
        return $this->form->getHTML();
    }
}
