<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

//require_once dirname(__FILE__).'/type.php';
//require_once dirname(__FILE__).'/typeRequestHeader.php';

/*
    <xs:complexType name="request">
        <xs:sequence>
            <xs:element name="requestHeader" type="tns:requestHeader"/>
        </xs:sequence>
    </xs:complexType>
*/

/**
 * This class represents the "request" WSDL type.
 * 
 * It is based on the PartnerAPIType class and derives some properties and methods from that class.
 * 
 * @method PartnerAPITypeRequest setRequestHeader(PartnerAPITypeRequestHeader $value The requestHeader to be set) Sets the "requestHeader" element
 * @method PartnerAPITypeRequestHeader getRequestHeader() Gets the "requestHeader" element
 * @property PartnerAPITypeRequestHeader $requestHeader Gets the "requestHeader" element
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeRequest extends PartnerAPIType {
    
    protected function initData() {
        return array(
            'requestHeader' => array('min' => 1, 'max' => 1, 'value' => new PartnerAPITypeRequestHeader(), 'type' => 'PartnerAPITypeRequestHeader', 'nillable' => FALSE)
        );
    }

}
