<?php
/* 
 * * ******************************************************************
 *
 *   CREATED BY MODULESGARDEN       ->        http://modulesgarden.com
 *   AUTHOR                         ->     dariusz.bi@modulesgarden.com
 *   CONTACT                        ->       contact@modulesgarden.com
 *
 *  This software is furnished under a license and may be used and copied
 *  only  in  accordance  with  the  terms  of such  license and with the
 *  inclusion of the above copyright notice.  This software  or any other
 *  copies thereof may not be provided or otherwise made available to any
 *  other person.  No title to and  ownership of the  software is  hereby
 *  transferred.
 *
 * * ******************************************************************
 */

class MGNotification
{ 
    private $email;
    private $subject;
    private $message;
    private $headers = null;
    
    public function userSuccessInstallCertificate($email, $toSearch = array(), $toReplace = array())
    {
        
        $this->email   = $email; 
        $this->subject = CertumSSLDriver::config()->success_email_subject;
        
        $this->message = str_replace($toSearch, $toReplace, CertumSSLDriver::config()->success_email_message);

        $this->sendEmail();
    }
    
    public function adminSummary($subject, $message)
    {
        $this->email   = CertumSSLDriver::config()->email;
        $this->subject = $subject;
        $this->message = $message;
        if(isset($this->email) && !empty($this->email))
        {
            $this->headers  = 'MIME-Version: 1.0' . "\r\n";
            $this->headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
        }
        $this->sendEmail();
    }
    
    private function sendEmail()
    {
        return mail($this->email, $this->subject, $this->message, $this->headers, CertumSSLDriver::config()->sender);
    }
    
}