checkAddon=$(/usr/local/cpanel/bin/is_registered_with_appconfig whostmgr CertumSSL)

clear
curDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
MYSQL=$(which mysql)
#DB Config
dbHost="127.0.0.1";
dbName="certum_ssl";
dbUserName="certum_ssl";

#Config File
configFile='/usr/local/cpanel/etc/CertumSSL.ini';

echo "Symantec CryptoExec Automation for WHM & cPanel unistallator"
echo -n "Are you sure you want to unistall this plugin ? (yes/no):";

read selected;

if [[ "$selected" != "yes" ]]
then
    echo "Exiting";
    exit;
fi;

echo -n "Are you sure you want to remove database ? (yes/no):";

read selected;
if [[ "$selected" == "yes" ]]
then
    SQL="drop database $dbName;drop USER $dbUserName@localhost;";
    $MYSQL -h "$dbHost" -u root -e "$SQL"
    rm -f "$configFile"
fi;



echo "Unregistering app in cPanel x3 theme..."
if [ -d "/usr/local/cpanel/base/frontend/x3/CertumSSL" ]
then
    rm -rf /usr/local/cpanel/base/frontend/x3/CertumSSL
fi;
if [ -e "/usr/local/cpanel/base/frontend/x3/dynamicui/dynamicui_CertumSSL.conf" ]
then
    rm -f /usr/local/cpanel/base/frontend/x3/dynamicui/dynamicui_CertumSSL.conf
fi;

echo "Unregistering app in cPanel paper_lanter theme..."
if [ -d "/usr/local/cpanel/base/frontend/paper_lantern/CertumSSL" ]
then
    rm -rf /usr/local/cpanel/base/frontend/paper_lantern/CertumSSL
fi;
if [ -e "/usr/local/cpanel/base/frontend/paper_lantern/dynamicui/dynamicui_CertumSSL.conf" ]
then
    rm -f /usr/local/cpanel/base/frontend/paper_lantern/dynamicui/dynamicui_CertumSSL.conf
fi;

echo "Removing admin bin wrappers";
if [ -d "/usr/local/cpanel/bin/admin/CertumSSL" ]
then
    rm -rf /usr/local/cpanel/bin/admin/CertumSSL
fi;

echo "Unregistering app from WHM..."
/usr/local/cpanel/bin/unregister_appconfig "$curDIR/InstallFiles/CertumSSLWHMPlugin.conf"
if [ -d "/usr/local/cpanel/whostmgr/docroot/cgi/CertumSSL" ]
then
    rm -rf "/usr/local/cpanel/whostmgr/docroot/cgi/CertumSSL"
fi;

#if [ -e "$configFile" ]
#then
#    rm -f "$configFile"
#fi;

echo "Plugin uninstallation is completed!";