<?php 

define("DS",DIRECTORY_SEPARATOR);

define("CERTUMSSL_INCLUDES",'/usr/local/cpanel/share/CertumSSL/');

define("CERTUMSSL_ROOT",__DIR__);

require_once "/usr/local/cpanel/php/cpanel.php";

require_once CERTUMSSL_INCLUDES.'CertumSSLLoader.php';

try{
    $CPANEL = new CPANEL();

    $Main = new CertumSSLMainController('CPanel',CERTUMSSL_ROOT);
   
    $Main->setClientArea();

    $page   = empty($_REQUEST['page'])?null:$_REQUEST['page'];
    $action = empty($_REQUEST['action'])?null:$_REQUEST['action'];
    
    echo CertumSSLDriver::localAPI()->getHeader();
    echo $Main->getJSONResponse($page,$action,$_REQUEST);
    echo CertumSSLDriver::localAPI()->getFooter();
}catch(Exception $ex){
    echo "Something Goes wrong";
}