<?php

/* 
 * * ******************************************************************
 *
 *   CREATED BY MODULESGARDEN       ->        http://modulesgarden.com
 *   AUTHOR                         ->     dariusz.bi@modulesgarden.com
 *   CONTACT                        ->       contact@modulesgarden.com
 *
 *  This software is furnished under a license and may be used and copied
 *  only  in  accordance  with  the  terms  of such  license and with the
 *  inclusion of the above copyright notice.  This software  or any other
 *  copies thereof may not be provided or otherwise made available to any
 *  other person.  No title to and  ownership of the  software is  hereby
 *  transferred.
 *
 * * ******************************************************************
 */

class MGAPILogs
{
    static function addLog($request,$response)
    {   
        if(!empty($request) && !empty($response)){
            //var_dump($request);die;        
            MGMySQL::insert('certumssl_api_logs', array(
               'date'       => date('Y-m-d h:i:s'),
               'request'    => $request,
               'response'   => $response
            ));
        }
    }
    
    static function cleanAllLogs()
    { 
        MGMySQL::query("TRUNCATE TABLE certumssl_api_logs");
    }
    
    static function getLogById($id)
    {
        $result = MGMySQL::select(array(
            'date',
            'request',
            'response'       
        )
        ,'certumssl_api_logs'
        ,array(
            'id' => $id
        ));
        
        if($result){
            return $result->fetch();
        }
    }
    
    static function listAPILogs($sortby = array(), $limit = null)
    {
        $result = MGMySQL::select(
            array(
                'id',
                'date',
                'request',
                'response'
            ),
            'certumssl_api_logs',
            array(),
            $sortby,
            $limit
        );
        
        $apiData = array();   
        
        while($row = $result->fetch()){ 
            $apiData[] = $row;
        }
        return $apiData;
    }
}
