<?php

class WHMCronTasksController extends AbstractControler
{
    public function MainHTMLAction($input, $vars = array()) {
        
        $data = array(); 
        $task = new MGCronTask(array('_tableName' => 'cert_center_cron_tasks'));
        
        //$CertOrders = new MGCertOrders(array('_tableName' => 'cert_center_orders','orderVoucher' => $task['orderVoucher']));
        //$certOrderParams = $CertOrders->getCertCenterOrderByVoucherCode();
        
        
            
        foreach($task->getAllTasks() as $cronTask){

            if($cronTask['finished'] == 1){
                $certStatus = 'Installed';
            }else{
                $certStatus = 'Not installed';
            }
            $userAccounts = CertumSSLDriver::localAPI()->getAccounts();
            $userEmail = '';
            $CertOrders = new MGCertOrders(array('_tableName' => 'cert_center_orders','orderVoucher' => $cronTask['orderVoucher']));
            $certOrderParams = $CertOrders->getCertCenterOrderByVoucherCode();
            
            foreach($userAccounts as $userAccount){
                 
                if($userAccount['name'] ==  $cronTask['user_id']){
                    $userEmail = $userAccount['email'];
                }
            }
            
           $data[] = array(
               'user' => $cronTask['user_id'],
               'email' => $userEmail,
               'domain' => $cronTask['domain_id'],
               'voucher' => $cronTask['orderVoucher'],
               'certcenterorderid' => $certOrderParams['cc_order_id'],
               'create_date' => $cronTask['create_date'],
               'last_try_date' => $cronTask['last_try_date'],
               'activate_date' => $cronTask['activate_date'],
               'status' => $certStatus,
           );
        }

        $vars['cronTasks'] = $data;
 
        return array(
            'template'      => 'CronList'
            ,'vars'         => $vars
        );
    }
}
