<?php

class WHMErrorListController extends AbstractControler{
    
    public function MainHTMLAction($input, $vars = array()) {
        
        $vars['tokenList'] = array();
        foreach(MGExceptionLogger::listErrorTokens(array('date' => 'DESC')) as $error)
        {
            $error['message'] = (strlen($error['message'])>45)?(substr($error['message'], 0,45).'...'):$error['message'];
            $vars['tokenList'][] = $error;
        }
        
        return array(
            'template'      => 'ErrorList'
            ,'vars'         => $vars
        );
    }
    
    public function SearchTokenHTMLAction($input, $vars = array()){
        
        $token = trim($input['tokenID']);
        
        //$error = MGExceptionLogger::getErrorByToken($token);
        
        $vars['tokenID'] = $token;
        
        if($error)
        {
            $vars['showError'] = print_r($error,true);
        }
        else
        {
            $vars['error'] = MGLang::T('unableToFindError');
        }

        return $this->MainHTMLAction($input, $vars);
    }
}