<?php

class WHMLogsController extends AbstractControler
{
    
    public function MainHTMLAction($input, $vars = array()) 
    {
        $data = array(); 
        
        $vars['logs_status'] = CertumSSLDriver::config()->apilogs_turnon_value;
        if(CertumSSLDriver::config()->apilogs_turnon_value == 'on'){
            $vars['logs_status_value'] = 'off';
        }else{
            $vars['logs_status_value'] = 'on';
        }
        
        $logsArray = array();
        $logsArray = MGAPILogs::listAPILogs(array('id' => 'DESC'), CertumSSLDriver::config()->logs_limit );

        if(!empty($logsArray)){
            if($logsArray[0] != false){
                foreach($logsArray as $error){
                    
                   $data[] = array(
                       'date' => $error['date'],
                       'request' => '<textarea class="test" rows="12" cols="100">'.htmlentities($error['request']).'</textarea>',
                       'response' => '<textarea rows="12" cols="100">'.$error['response'].'</textarea>'
                   );
                   
                }
            }
        }

        $vars['logs'] = $data;

         return array(
             'template'      => 'LogsList'
             ,'vars'         => $vars
         );
    }
    
    public function clearHTMLAction($input, $vars = array()) {
        MGAPILogs::cleanAllLogs();
        $vars['success'] = MGLang::T('logsDeleteSuccess');
        
        return $this->MainHTMLAction($input, $vars);
    }
    
    public function changeHTMLAction($input, $vars = array()) {
       if(CertumSSLDriver::config()->apilogs_turnon_value == 'on'){
            $vars['success'] = MGLang::T('logsOff');
            CertumSSLDriver::config()->apilogs_turnon_value = 'off';
        }else{
            $vars['success'] = MGLang::T('logsOn');
            CertumSSLDriver::config()->apilogs_turnon_value = 'on';
        }
        
        return $this->MainHTMLAction($input, $vars);
    }
}