<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of WHMRedirectorController
 *
 * @author INBS38
 */
class WHMRedirectorController extends AbstractControler{
    function __construct($params,$options) { 
        parent::__construct($params,$options);
    }
    
    public function MainHTMLAction($input,$data = array()) {
        $data['redirect_url'] = '';
        $data['complete'] = 'false';
        
        if(!isset($_REQUEST['code']) && isset($_REQUEST['client_id'])){
            try{

                CertumSSLDriver::config()->CertCenterOAuth_client_id = $_REQUEST['client_id'];
                CertumSSLDriver::config()->CertCenterOAuth_main_uri = 'http' . (isset($_SERVER['HTTPS']) ? 's' : '') . '://' . $_SERVER["HTTP_HOST"] . (isset($_SERVER['SERVER_PORT']) ? ':'.$_SERVER['SERVER_PORT'] : ''). (isset($_SERVER['cp_security_token']) ? $_SERVER['cp_security_token'] : '');
                CertumSSLDriver::config()->CertCenterOAuth_redirect_uri = 'http' . (isset($_SERVER['HTTPS']) ? 's' : '') . '://' . $_SERVER["HTTP_HOST"] . (isset($_SERVER['SERVER_PORT']) ? ':'.$_SERVER['SERVER_PORT'] : ''). (isset($_SERVER['cp_security_token']) ? $_SERVER['cp_security_token'] : '').'/cgi/CertumSSL/index.php?page=Redirector';

                $data['redirect_url'] = CertumSSLDriver::remoteAPI()->getAuthURL($_REQUEST['client_id']);
                return array(
                            'template'   => 'Redirector'
                            ,'vars'      => $data
                );
            }catch(Exception $e){
                die('Unexpected Error: '.$e->getMessage());
            } 
        }else if(isset($_REQUEST['code'])){
            //
            $code = $_REQUEST['code'];
            $CC = CertumSSLDriver::remoteAPI()->getAccessTokenByCode($code);
            $data['complete'] = 'success';
            return array(
                        'template'   => 'Redirector'
                        ,'vars'      => $data
            );
        }elseif(isset($_REQUEST['clear'])){

            $data['redirect_url'] = 'index.php?page=Configuration';


            return array(
                'template'   => 'Redirector'
                ,'vars'      => $data
            ); 
        }

        if(isset($_REQUEST['api_uri']) && isset($_REQUEST['client_id']) && isset($_REQUEST['redirect_uri'])){                       
            $data['redirect_url'] = $_REQUEST['api_uri'].'?response_type=code&client_id='.$_REQUEST['client_id'].'&redirect_uri='.$_REQUEST['redirect_uri'].'&scope=voucher order read';
        }
        
        return array(
            'template'   => 'Redirector'
            ,'vars'      => $data
        );
    }
}
