<?php
$_LANG['errorMessages']['errorID'] = '. Error ID:';

//Container Lang
$_LANG['Container']['header'] = 'Certum SSL';

$_LANG['Container']['pages']['Configuration'] = 'Configuration';

//Configuration Page Form
$_LANG['Configuration']['sys']['double']['label']        = 'Load Or Save Configuration To File';
$_LANG['Configuration']['sys']['double']['loadConfFile'] = 'Load Configuration';
$_LANG['Configuration']['sys']['double']['saveConfFile'] = 'Export Configuration';

$_LANG['Configuration']['loadConfigMessage'] = "Configuration Loaded Successfully";
$_LANG['Configuration']['saveConfigMessage'] = "Configuration Saved Successfully";


$_LANG['Configuration']['sys']['admin_api_section']['label'] = 'API Connection Details';

for ($i = 1; $i < 20; $i++) {
    $_LANG['Configuration']['sys']['api_login_'.$i]['label']     = 'Login';
    $_LANG['Configuration']['sys']['api_password_'.$i]['label']  = 'Password';
    $_LANG['Configuration']['sys']['api_wsdl_url_'.$i]['label']  = 'API URL';
    $_LANG['Configuration']['sys']['api_wsdl_lang_'.$i]['label'] = 'API Language';
    $_LANG['Configuration']['sys']['api_wsdl_products_'.$i]['label'] = 'Attached Products';
}

$_LANG['Configuration']['sys']['double']['testConnect']   = 'Test Connection';
$_LANG['Configuration']['sys']['double']['addNewAccount'] = 'Add New Account';

$_LANG['Configuration']['sys']['testConnect']['label'] = 'Test Connection';
$_LANG['Configuration']['connectSuccess']              = 'Connected Successfully';
$_LANG['Configuration']['connectError']                = 'Connection Failed';

$_LANG['Configuration']['sys']['admin_notification_section']['label'] = 'Admin Notifications';
$_LANG['Configuration']['sys']['email']['label']                      = 'Administrator Email';
$_LANG['Configuration']['sys']['sender']['label']                     = 'Notification Sender Email';

$_LANG['Configuration']['sys']['user_notification_section']['label']   = 'User Notifications';
$_LANG['Configuration']['sys']['success_email_subject']['label']       = 'Success Email Subject';
$_LANG['Configuration']['sys']['success_email_message']['label']       = 'Success Email Message';
$_LANG['Configuration']['sys']['success_email_message']['description'] = 'This message informs client about a successfully installed certificate';
$_LANG['Configuration']['sys']['failure_email_subject']['label']       = 'Failure Email Subject';
$_LANG['Configuration']['sys']['failure_email_message']['label']       = 'Failure Email Message';
$_LANG['Configuration']['sys']['failure_email_message']['description'] = 'This message informing client about failure installed certificate.';

$_LANG['Configuration']['sys']['billing_config_subject']['label'] = 'Billing Configuration';
$_LANG['Configuration']['sys']['billing_url']['label']            = 'Billing URL';
$_LANG['Configuration']['sys']['billing_url']['description']      = 'Leave empty if you wish to do not display in admin area.';

$_LANG['Configuration']['sys']['logs_limit_subject']['label'] = 'API Logs Configuration';
$_LANG['Configuration']['sys']['logs_limit']['label']         = 'Limit Activity Log ';
$_LANG['Configuration']['sys']['logs_limit']['description']   = 'The number of activity log entries you wish to keep';
$_LANG['Configuration']['sys']['logs_limit']['errorLabel']    = 'This is not valid number';

$_LANG['Configuration']['sys']['submitSave']['label'] = 'Save';

$_LANG['Configuration']['saveSuccess']    = 'Configuration Saved Successfully';
$_LANG['Configuration']['testConnection'] = 'Connection with API is working fine';


//Logs Page
$_LANG['Logs']['logsDeleteSuccess'] = 'All log entries deleted successfully';
$_LANG['Logs']['logsOn']            = 'API Logs turned ON';
$_LANG['Logs']['logsOff']           = 'API Logs turned OFF';

//Task Manager Page
$_LANG['Task']['thead']['user']        = 'User';
$_LANG['Task']['thead']['action']      = 'Action';
$_LANG['Task']['thead']['id']          = 'Certificate Order ID';
$_LANG['Task']['thead']['domain']      = 'Domain';
$_LANG['Task']['thead']['created']     = 'Task Created';
$_LANG['Task']['thead']['attempt']     = 'Task Attempt';
$_LANG['Task']['thead']['status']      = 'Task Status';
$_LANG['Task']['thead']['lastAttempt'] = 'Last Attempt Time';

$_LANG['Task']['errorMessages']['general'] = 'Something Went Wrong, Please Check The Logs';

$_LANG['cron']['errorMessages']['Order waiting for Approval'] = 'Order waiting for Approval';

$_LANG['Task']['taskStatus']['notprocessed'] = 'Task Not Processed Yet';
$_LANG['Task']['taskStatus']['inprogress']   = 'Task In Progress';

$_LANG['Task']['noTasks']          = 'Currently No Task Is Processed';
$_LANG['Task']['neverAttempt']     = 'Waiting For Processing';
$_LANG['Task']['delete']           = 'Delete';
$_LANG['Task']['reset']            = 'Reset';
$_LANG['Task']['usernotif']        = 'Send Notification';
$_LANG['Task']['deleteSuccess']    = 'Task Deleted Successfully';
$_LANG['Task']['resetSuccess']     = 'Task Reset Successfully';
$_LANG['Task']['usernotifSuccess'] = 'User Notification Has Been Sent Successfully';
$_LANG['Task']['searchUser']       = 'Search by username';
$_LANG['Task']['noTasksForUser']   = 'Currently no task is processed for user:';

$_LANG['Task']['names']['installPackage']   = 'Install Package';
$_LANG['Task']['names']['reinstallPackage'] = 'Reinstall Package';

$_LANG['Task']['deleteModal']['label']      = 'Are you sure that you want to delete the task from the account: ';
$_LANG['Task']['deleteModal']['actionLbl']  = 'Task: ';
$_LANG['Task']['deleteModal']['close']      = 'Close';
$_LANG['Task']['deleteModal']['deleteTask'] = 'Delete Task';

$_LANG['Task']['resetModal']['label']     = 'Are you sure that you want to reset the task for the account: ';
$_LANG['Task']['resetModal']['actionLbl'] = 'Task: ';
$_LANG['Task']['resetModal']['close']     = 'Close';
$_LANG['Task']['resetModal']['resetTask'] = 'Reset Task';

$_LANG['Task']['usernotifModal']['label']         = 'Are you sure that you want to send email notification for the account: ';
$_LANG['Task']['usernotifModal']['actionLbl']     = 'Task: ';
$_LANG['Task']['usernotifModal']['close']         = 'Close';
$_LANG['Task']['usernotifModal']['usernotifTask'] = 'Send';

$_LANG['Task']['names']['waitingForCertificate'] = 'Waiting For Certificate';
$_LANG['Task']['names']['verifiCert']            = 'Domain Verification';

$_LANG['Configuration']['sys']['api_configuration']['label'] = 'API Configuration';

$_LANG['Configuration']['sys']['email']['errorLabel']  = 'This is not valid email';
$_LANG['Configuration']['sys']['sender']['errorLabel'] = 'This is not valid email';


$_LANG['ErrorList']['errorList']         = 'Error List';
$_LANG['ErrorList']['unableToFindError'] = 'Unable to find provided error';

$_LANG['MainCron']['raportTitle'] = 'Client Successful Certificate instalation';
$_LANG['MainCron']['created']     = "Created: ";
$_LANG['MainCron']['updated']     = "Updated: ";
$_LANG['MainCron']['failed']      = "Failed: ";


$_LANG['Configuration']['user_notifications_success_email_subject'] = 'Successful Certificate instalation';
$_LANG['Configuration']['user_notifications_success_email_message'] = 'On Domain:{$domain}, orderID: {$certificate_id}';
$_LANG['Configuration']['user_notifications_failure_email_subject'] = 'Failed Certyficate instalation';
$_LANG['Configuration']['user_notifications_failure_email_message'] = 'On Domain:{$domain}, orderID: {$certificate_id}';

//Khal
$_LANG['Configuration']['sys']['email']['label'] = 'Administrator Email';

$_LANG['CronList']['client_name']           = 'Client Name';
$_LANG['CronList']['client_email']          = 'Client Name';
$_LANG['CronList']['client_voucher']        = 'Client Name';
$_LANG['CronList']['client_cc_order_id']    = 'Client Name';
$_LANG['CronList']['client_cron_created']   = 'Client Name';
$_LANG['CronList']['client_cron_last_run']  = 'Client Name';
$_LANG['CronList']['client_cert_activated'] = 'Client Name';
$_LANG['CronList']['client_cert_status']    = 'Client Name';
