<div class="col-sm-12">
    <?php if(!empty($success)): ?>
        <div class="alert alert-success" role="alert">
            <?php echo $success ?>
        </div>
    <?php endif ?>
    <?php if(!empty($errors) && is_array($errors)): ?>
        <div class="alert alert-danger" role="alert">
            <?php echo implode('<br/>', $errors) ?>
        </div>
    <?php endif ?>
    <?php 
        if($logs_status == 'off'):
            $btnStatus = 'danger' ; 
        else: 
             $btnStatus = 'success' ; 
        endif; 
    ?>
    Currently API logs are <a name="apilogs_change_status" href="?page=Logs&action=change" class="btn btn-<?php echo $btnStatus; ?>" id="apilogs_change_status"><?php echo strtoupper($logs_status); ?></a>
        <a style="float:right;" href='?page=Logs&action=clear' class='btn btn-danger'>
            Clear Logs
        </a>
        <hr/>
    <table class="table" id="accountList">
        <thead>
            <tr>
                <th style="text-align: center;">#</th>
                <th style="text-align: center;"><?php echo MGLang::T('Date') ?></th>
                <th style="text-align: center;"><?php echo MGLang::T('Request') ?></th>
                <th style="text-align: center;"><?php echo MGLang::T('Response') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach($logs as $key => $log): ?>
                <tr>
                    <td style="text-align: center;"><?php echo $key + 1 ?>
                    <td style="text-align: center;"><?php echo $log['date'] ?>
                    <td style="text-align: center;"><?php echo $log['request'] ?>
                    <td style="text-align: center;"><?php echo $log['response'] ?>
                </tr>
            <?php endforeach ?>
        </tbody>
    </table>
</div>

<script>
    $(document).ready(function() {
        $('#accountList').DataTable({
            "dom": 't<"pull-right mg_pagination" p>',
            "ordering": false,
            "info":     false,
            "pageLength": 25
        });
    } );
</script>